Index a document using parser, pipeline, and collection IDs
import requests
url = "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}Index a document using parser, pipeline, and collection IDs
Index the document using the provided parser, index pipeline, and collection IDs.
POST
/
async-parsing
/
parser
/
standalone
/
{parserId}
/
index-pipeline
/
{pipelineId}
/
collection
/
{collectionId}
Index a document using parser, pipeline, and collection IDs
import requests
url = "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parser/standalone/{parserId}/index-pipeline/{pipelineId}/collection/{collectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Path Parameters
The ID of the parser to use when processing the document.
The ID of the index pipeline to which the document should be sent.
The ID of the target collection where the document will be indexed.
Query Parameters
Binary payload to be indexed by the specified parser, pipeline, and collection.
Response
204
No Content
Was this page helpful?
⌘I